package com.hai.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * high_gas_channel_config
 * @author 
 */
/**
 * 
 * 代码由工具生成
 * 
 **/
public class HighGasChannelConfig implements Serializable {
    /**
     * 主键
     */
    private Long id;

    /**
     * 渠道id   1：自建站  2：团油  3：加好油  4：金猪加油
     */
    private Integer channelId;

    /**
     * 渠道名称
     */
    private String channelName;

    /**
     * 平台类型  1：微信
     */
    private Integer payPlatformType;

    /**
     * 商户名称
     */
    private String payPlatformMerName;

    /**
     * 商户号
     */
    private String payPlatformMerNo;

    /**
     * 是否分账
     */
    private Boolean profitSharingStatus;

    /**
     * 分账接收方账户
     */
    private String profitSharingReceiversNo;

    /**
     * 分账比率
     */
    private BigDecimal profitSharingRatio;

    /**
     * 分账接收方名称
     */
    private String profitSharingReceiversName;

    /**
     * 状态 0：删除  1：正常
     */
    private Integer status;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 修改时间
     */
    private Date updateTime;

    private String ext1;

    private String ext2;

    private String ext3;

    private static final long serialVersionUID = 1L;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Integer getChannelId() {
        return channelId;
    }

    public void setChannelId(Integer channelId) {
        this.channelId = channelId;
    }

    public String getChannelName() {
        return channelName;
    }

    public void setChannelName(String channelName) {
        this.channelName = channelName;
    }

    public Integer getPayPlatformType() {
        return payPlatformType;
    }

    public void setPayPlatformType(Integer payPlatformType) {
        this.payPlatformType = payPlatformType;
    }

    public String getPayPlatformMerName() {
        return payPlatformMerName;
    }

    public void setPayPlatformMerName(String payPlatformMerName) {
        this.payPlatformMerName = payPlatformMerName;
    }

    public String getPayPlatformMerNo() {
        return payPlatformMerNo;
    }

    public void setPayPlatformMerNo(String payPlatformMerNo) {
        this.payPlatformMerNo = payPlatformMerNo;
    }

    public Boolean getProfitSharingStatus() {
        return profitSharingStatus;
    }

    public void setProfitSharingStatus(Boolean profitSharingStatus) {
        this.profitSharingStatus = profitSharingStatus;
    }

    public String getProfitSharingReceiversNo() {
        return profitSharingReceiversNo;
    }

    public void setProfitSharingReceiversNo(String profitSharingReceiversNo) {
        this.profitSharingReceiversNo = profitSharingReceiversNo;
    }

    public BigDecimal getProfitSharingRatio() {
        return profitSharingRatio;
    }

    public void setProfitSharingRatio(BigDecimal profitSharingRatio) {
        this.profitSharingRatio = profitSharingRatio;
    }

    public String getProfitSharingReceiversName() {
        return profitSharingReceiversName;
    }

    public void setProfitSharingReceiversName(String profitSharingReceiversName) {
        this.profitSharingReceiversName = profitSharingReceiversName;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getExt1() {
        return ext1;
    }

    public void setExt1(String ext1) {
        this.ext1 = ext1;
    }

    public String getExt2() {
        return ext2;
    }

    public void setExt2(String ext2) {
        this.ext2 = ext2;
    }

    public String getExt3() {
        return ext3;
    }

    public void setExt3(String ext3) {
        this.ext3 = ext3;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        HighGasChannelConfig other = (HighGasChannelConfig) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getChannelId() == null ? other.getChannelId() == null : this.getChannelId().equals(other.getChannelId()))
            && (this.getChannelName() == null ? other.getChannelName() == null : this.getChannelName().equals(other.getChannelName()))
            && (this.getPayPlatformType() == null ? other.getPayPlatformType() == null : this.getPayPlatformType().equals(other.getPayPlatformType()))
            && (this.getPayPlatformMerName() == null ? other.getPayPlatformMerName() == null : this.getPayPlatformMerName().equals(other.getPayPlatformMerName()))
            && (this.getPayPlatformMerNo() == null ? other.getPayPlatformMerNo() == null : this.getPayPlatformMerNo().equals(other.getPayPlatformMerNo()))
            && (this.getProfitSharingStatus() == null ? other.getProfitSharingStatus() == null : this.getProfitSharingStatus().equals(other.getProfitSharingStatus()))
            && (this.getProfitSharingReceiversNo() == null ? other.getProfitSharingReceiversNo() == null : this.getProfitSharingReceiversNo().equals(other.getProfitSharingReceiversNo()))
            && (this.getProfitSharingRatio() == null ? other.getProfitSharingRatio() == null : this.getProfitSharingRatio().equals(other.getProfitSharingRatio()))
            && (this.getProfitSharingReceiversName() == null ? other.getProfitSharingReceiversName() == null : this.getProfitSharingReceiversName().equals(other.getProfitSharingReceiversName()))
            && (this.getStatus() == null ? other.getStatus() == null : this.getStatus().equals(other.getStatus()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getUpdateTime() == null ? other.getUpdateTime() == null : this.getUpdateTime().equals(other.getUpdateTime()))
            && (this.getExt1() == null ? other.getExt1() == null : this.getExt1().equals(other.getExt1()))
            && (this.getExt2() == null ? other.getExt2() == null : this.getExt2().equals(other.getExt2()))
            && (this.getExt3() == null ? other.getExt3() == null : this.getExt3().equals(other.getExt3()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getChannelId() == null) ? 0 : getChannelId().hashCode());
        result = prime * result + ((getChannelName() == null) ? 0 : getChannelName().hashCode());
        result = prime * result + ((getPayPlatformType() == null) ? 0 : getPayPlatformType().hashCode());
        result = prime * result + ((getPayPlatformMerName() == null) ? 0 : getPayPlatformMerName().hashCode());
        result = prime * result + ((getPayPlatformMerNo() == null) ? 0 : getPayPlatformMerNo().hashCode());
        result = prime * result + ((getProfitSharingStatus() == null) ? 0 : getProfitSharingStatus().hashCode());
        result = prime * result + ((getProfitSharingReceiversNo() == null) ? 0 : getProfitSharingReceiversNo().hashCode());
        result = prime * result + ((getProfitSharingRatio() == null) ? 0 : getProfitSharingRatio().hashCode());
        result = prime * result + ((getProfitSharingReceiversName() == null) ? 0 : getProfitSharingReceiversName().hashCode());
        result = prime * result + ((getStatus() == null) ? 0 : getStatus().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getUpdateTime() == null) ? 0 : getUpdateTime().hashCode());
        result = prime * result + ((getExt1() == null) ? 0 : getExt1().hashCode());
        result = prime * result + ((getExt2() == null) ? 0 : getExt2().hashCode());
        result = prime * result + ((getExt3() == null) ? 0 : getExt3().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", channelId=").append(channelId);
        sb.append(", channelName=").append(channelName);
        sb.append(", payPlatformType=").append(payPlatformType);
        sb.append(", payPlatformMerName=").append(payPlatformMerName);
        sb.append(", payPlatformMerNo=").append(payPlatformMerNo);
        sb.append(", profitSharingStatus=").append(profitSharingStatus);
        sb.append(", profitSharingReceiversNo=").append(profitSharingReceiversNo);
        sb.append(", profitSharingRatio=").append(profitSharingRatio);
        sb.append(", profitSharingReceiversName=").append(profitSharingReceiversName);
        sb.append(", status=").append(status);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", ext1=").append(ext1);
        sb.append(", ext2=").append(ext2);
        sb.append(", ext3=").append(ext3);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}